//***************************************************************************//
//*                                                                         *//
//* Unit:    xml_attribute                                                  *//
//* Author:  Dushkin R.V.                                                   *//
//* Date:    27.04.01                                                       *//
//*                                                                         *//
//*  This module contains the class, which makes all definitions for conta- *//
//* ining one and only one attribute of XML tag.                            *//
//*                                                                         *//
//***************************************************************************//
unit xml_attribute;

//-[ INTERFACE ]---------------------------------------------------------------
interface

uses
  xml_types,
  xml_functions;

type TXMLAttribute = class (TObject)
  private
    fName  : String;
    fValue : String;

  public
    constructor Create;
    destructor Destroy; override;

    function ParseString (var iStr : String) : TXMLErrorCode;

  published
    property Name  : String read fName  write fName;
    property Value : String read fValue write fValue;

end;

//-[ IMPLEMENTATION ]----------------------------------------------------------
implementation

constructor TXMLAttribute.Create;
begin
  inherited Create;
  fName := '';
  fValue := '';
end;

destructor TXMLAttribute.Destroy;
begin
  inherited Destroy;
end;

{ TODO 1 -oDushkin R.V. -cFunction : Find the ability to validate attribute. }
function TXMLAttribute.ParseString (var iStr : String) : TXMLErrorCode;
var
  i : Integer;
begin
  Result := ecOk;
  i := 1;
  while (iStr[i] <> '=') do
  begin
    fName := fName + iStr[i];
    i := i + 1;
  end;
  Delete (iStr, 1, i);
  fValue := ParseAttributeValue (iStr);
end;

//-[ END ]---------------------------------------------------------------------
end.
